## org.jfree.chart
Class ClipPath

    java.lang.Object
      org.jfree.chart.ClipPath

All Implemented Interfaces:
  java.lang.Cloneable

Deprecated. This class is no longer supported (as of version 1.0.4). If you are creating contour plots, please try to use `XYPlot` and `XYBlockRenderer`.

    public class ClipPath

extends java.lang.Object
implements java.lang.Cloneable

This class would typically be used with a `ContourPlot`. It allows the user to define a `GeneralPath` curve in plot coordinates. This curve can then be used mask off or define regions within the contour plot. The data must be sorted.

Constructor Summary
`ClipPath()` Deprecated. Constructor for ClipPath.
`ClipPath(double[] xValue, double[] yValue)` Deprecated. Constructor for ClipPath.
`ClipPath(double[] xValue, double[] yValue, boolean clip, boolean fillPath, boolean drawPath)` Deprecated. Constructor for ClipPath.
`ClipPath(double[] xValue, double[] yValue, boolean fillPath, boolean drawPath, java.awt.Paint fillPaint, java.awt.Paint drawPaint, java.awt.Stroke drawStroke, java.awt.Composite composite)` Deprecated. Constructor for ClipPath.

Method Summary
`java.lang.Object` `clone()` Deprecated. Returns a clone of the object (a deeper clone than default to avoid bugs when setting values in cloned object).
`java.awt.geom.GeneralPath` `draw(java.awt.Graphics2D g2, java.awt.geom.Rectangle2D dataArea, ValueAxis horizontalAxis, ValueAxis verticalAxis)` Deprecated. Draws the clip path.
`java.awt.geom.GeneralPath` `generateClipPath(java.awt.geom.Rectangle2D dataArea, ValueAxis horizontalAxis, ValueAxis verticalAxis)` Deprecated. Generates the clip path.
`java.awt.Composite` `getComposite()` Deprecated. Returns the composite.
`java.awt.Paint` `getDrawPaint()` Deprecated. Returns the drawPaint.
`java.awt.Stroke` `getDrawStroke()` Deprecated. Returns the drawStroke.
`java.awt.Paint` `getFillPaint()` Deprecated. Returns the fillPaint.
`double[]` `getXValue()` Deprecated. Returns the xValue.
`double[]` `getYValue()` Deprecated. Returns the yValue.
`boolean` `isClip()` Deprecated. Returns the clip.
`boolean` `isDrawPath()` Deprecated. Returns the drawPath.
`boolean` `isFillPath()` Deprecated. Returns the fillPath.
`void` `setClip(boolean clip)` Deprecated. Sets the clip.
`void` `setComposite(java.awt.Composite composite)` Deprecated. Sets the composite.
`void` `setDrawPaint(java.awt.Paint drawPaint)` Deprecated. Sets the drawPaint.
`void` `setDrawPath(boolean drawPath)` Deprecated. Sets the drawPath.
`void` `setDrawStroke(java.awt.Stroke drawStroke)` Deprecated. Sets the drawStroke.
`void` `setFillPaint(java.awt.Paint fillPaint)` Deprecated. Sets the fillPaint.
`void` `setFillPath(boolean fillPath)` Deprecated. Sets the fillPath.
`void` `setXValue(double[] xValue)` Deprecated. Sets the xValue.
`void` `setYValue(double[] yValue)` Deprecated. Sets the yValue.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClipPath

    public ClipPath()

  Deprecated.
  Constructor for ClipPath.

### ClipPath

    public ClipPath(double[] xValue,
                    double[] yValue)

  Deprecated.
  Constructor for ClipPath. Default values are assumed for the fillPath and drawPath options as false and true respectively. The fillPaint is set to Color.GRAY, the drawColor is Color.BLUE, the stroke is BasicStroke(1) and the composite is AlphaComposite.Src.

  Parameters:
    `xValue` - x coordinates of curved to be created
    `yValue` - y coordinates of curved to be created

### ClipPath

    public ClipPath(double[] xValue,
                    double[] yValue,
                    boolean clip,
                    boolean fillPath,
                    boolean drawPath)

  Deprecated.
  Constructor for ClipPath. The fillPaint is set to Color.GRAY, the drawColor is Color.BLUE, the stroke is BasicStroke(1) and the composite is AlphaComposite.Src.

  Parameters:
    `xValue` - x coordinates of curved to be created
    `yValue` - y coordinates of curved to be created
    `clip` - clip?
    `fillPath` - whether the path is to filled
    `drawPath` - whether the path is to drawn as an outline

### ClipPath

    public ClipPath(double[] xValue,
                    double[] yValue,
                    boolean fillPath,
                    boolean drawPath,
                    java.awt.Paint fillPaint,
                    java.awt.Paint drawPaint,
                    java.awt.Stroke drawStroke,
                    java.awt.Composite composite)

  Deprecated.
  Constructor for ClipPath.

  Parameters:
    `xValue` - x coordinates of curved to be created
    `yValue` - y coordinates of curved to be created
    `fillPath` - whether the path is to filled
    `drawPath` - whether the path is to drawn as an outline
    `fillPaint` - the fill paint
    `drawPaint` - the outline stroke color
    `drawStroke` - the stroke style
    `composite` - the composite rule

Method Detail

### draw

    public java.awt.geom.GeneralPath draw(java.awt.Graphics2D g2,
                                          java.awt.geom.Rectangle2D dataArea,
                                          ValueAxis horizontalAxis,
                                          ValueAxis verticalAxis)

  Deprecated.
  Draws the clip path.

  Parameters:
    `g2` - current graphics2D.
    `dataArea` - the dataArea that the plot is being draw in.
    `horizontalAxis` - the horizontal axis.
    `verticalAxis` - the vertical axis.
  Returns:
    The GeneralPath defining the outline

### generateClipPath

    public java.awt.geom.GeneralPath generateClipPath(java.awt.geom.Rectangle2D dataArea,
                                                      ValueAxis horizontalAxis,
                                                      ValueAxis verticalAxis)

  Deprecated.
  Generates the clip path.

  Parameters:
    `dataArea` - the dataArea that the plot is being draw in.
    `horizontalAxis` - the horizontal axis.
    `verticalAxis` - the vertical axis.
  Returns:
    The GeneralPath defining the outline

### getComposite

    public java.awt.Composite getComposite()

  Deprecated.
  Returns the composite.

  Returns:
    Composite

### getDrawPaint

    public java.awt.Paint getDrawPaint()

  Deprecated.
  Returns the drawPaint.

  Returns:
    Paint

### isDrawPath

    public boolean isDrawPath()

  Deprecated.
  Returns the drawPath.

  Returns:
    boolean

### getDrawStroke

    public java.awt.Stroke getDrawStroke()

  Deprecated.
  Returns the drawStroke.

  Returns:
    Stroke

### getFillPaint

    public java.awt.Paint getFillPaint()

  Deprecated.
  Returns the fillPaint.

  Returns:
    Paint

### isFillPath

    public boolean isFillPath()

  Deprecated.
  Returns the fillPath.

  Returns:
    boolean

### getXValue

    public double[] getXValue()

  Deprecated.
  Returns the xValue.

  Returns:
    double[]

### getYValue

    public double[] getYValue()

  Deprecated.
  Returns the yValue.

  Returns:
    double[]

### setComposite

    public void setComposite(java.awt.Composite composite)

  Deprecated.
  Sets the composite.

  Parameters:
    `composite` - The composite to set

### setDrawPaint

    public void setDrawPaint(java.awt.Paint drawPaint)

  Deprecated.
  Sets the drawPaint.

  Parameters:
    `drawPaint` - The drawPaint to set

### setDrawPath

    public void setDrawPath(boolean drawPath)

  Deprecated.
  Sets the drawPath.

  Parameters:
    `drawPath` - The drawPath to set

### setDrawStroke

    public void setDrawStroke(java.awt.Stroke drawStroke)

  Deprecated.
  Sets the drawStroke.

  Parameters:
    `drawStroke` - The drawStroke to set

### setFillPaint

    public void setFillPaint(java.awt.Paint fillPaint)

  Deprecated.
  Sets the fillPaint.

  Parameters:
    `fillPaint` - The fillPaint to set

### setFillPath

    public void setFillPath(boolean fillPath)

  Deprecated.
  Sets the fillPath.

  Parameters:
    `fillPath` - The fillPath to set

### setXValue

    public void setXValue(double[] xValue)

  Deprecated.
  Sets the xValue.

  Parameters:
    `xValue` - The xValue to set

### setYValue

    public void setYValue(double[] yValue)

  Deprecated.
  Sets the yValue.

  Parameters:
    `yValue` - The yValue to set

### isClip

    public boolean isClip()

  Deprecated.
  Returns the clip.

  Returns:
    boolean

### setClip

    public void setClip(boolean clip)

  Deprecated.
  Sets the clip.

  Parameters:
    `clip` - The clip to set

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Deprecated.
  Returns a clone of the object (a deeper clone than default to avoid bugs when setting values in cloned object).

  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    The clone.
  Throws:
    `java.lang.CloneNotSupportedException` - if cloning is not supported.